com.corticon.rulesemf.ast

## Interface FeatureCallParameters

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface FeatureCallParameters
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Feature Call Parameters'.

  The following features are supported:

  - `Parameter List`
  - `Declarator`
  See Also:
    `AstPackage.getFeatureCallParameters()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Declarator` | `getDeclarator()` Returns the value of the 'Declarator' containment reference
    `ParameterList` | `getParameterList()` Returns the value of the 'Parameter List' containment reference
    `void` | `setDeclarator(Declarator value)` Sets the value of the '`Declarator`' containment reference
    `void` | `setParameterList(ParameterList value)` Sets the value of the '`Parameter List`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParameterList

          ParameterList getParameterList()

      Returns the value of the 'Parameter List' containment reference.

      If the meaning of the 'Parameter List' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter List' containment reference.
      See Also:
        `setParameterList(ParameterList)`, `AstPackage.getFeatureCallParameters_ParameterList()`

    - #### setParameterList

          void setParameterList(ParameterList value)

      Sets the value of the '`Parameter List`' containment reference.
      Parameters:
        `value` - the new value of the 'Parameter List' containment reference.
      See Also:
        `getParameterList()`

    - #### getDeclarator

          Declarator getDeclarator()

      Returns the value of the 'Declarator' containment reference.

      If the meaning of the 'Declarator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Declarator' containment reference.
      See Also:
        `setDeclarator(Declarator)`, `AstPackage.getFeatureCallParameters_Declarator()`

    - #### setDeclarator

          void setDeclarator(Declarator value)

      Sets the value of the '`Declarator`' containment reference.
      Parameters:
        `value` - the new value of the 'Declarator' containment reference.
      See Also:
        `getDeclarator()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.